summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-04-12 13:21:37 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-04-12 13:21:37 +0000
commit2a39710e99341dd644bac987372870e10c1b9d71 (patch)
tree8896b8b5b5dd5bd4ce2b7c19f87738008f19bfd6 /dev-python
parent8741de2adae94b21850ff0feb37e94c8d31a0676 (diff)
downloadbaldeagleos-repo-2a39710e99341dd644bac987372870e10c1b9d71.tar.gz
baldeagleos-repo-2a39710e99341dd644bac987372870e10c1b9d71.tar.xz
baldeagleos-repo-2a39710e99341dd644bac987372870e10c1b9d71.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/a2wsgi/a2wsgi-1.7.0.ebuild2
-rw-r--r--dev-python/accessible-pygments/accessible-pygments-0.0.4.ebuild2
-rw-r--r--dev-python/boolean-py/boolean-py-4.0.ebuild2
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.26.111.ebuild66
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.29.111.ebuild72
-rw-r--r--dev-python/cerberus/cerberus-1.3.4-r1.ebuild2
-rw-r--r--dev-python/license-expression/license-expression-30.1.0.ebuild2
-rw-r--r--dev-python/moto/Manifest1
-rw-r--r--dev-python/moto/moto-4.1.7.ebuild104
-rw-r--r--dev-python/partd/Manifest1
-rw-r--r--dev-python/partd/partd-1.4.0.ebuild35
-rw-r--r--dev-python/pdm-pep517/Manifest1
-rw-r--r--dev-python/pdm-pep517/pdm-pep517-1.1.3.ebuild2
-rw-r--r--dev-python/pdm-pep517/pdm-pep517-1.1.4.ebuild63
-rw-r--r--dev-python/pydata-sphinx-theme/Manifest5
-rw-r--r--dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.13.1.ebuild47
-rw-r--r--dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.13.2.ebuild47
-rw-r--r--dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.13.3.ebuild2
-rw-r--r--dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.7.2-r1.ebuild38
-rw-r--r--dev-python/reedsolomon/Manifest1
-rw-r--r--dev-python/reedsolomon/reedsolomon-2.1.0_beta1.ebuild37
-rw-r--r--dev-python/scikit-build/Manifest1
-rw-r--r--dev-python/scikit-build/scikit-build-0.17.0.ebuild58
-rw-r--r--dev-python/spur/Manifest2
-rw-r--r--dev-python/spur/spur-0.3.22-r1.ebuild40
-rw-r--r--dev-python/tornado/tornado-6.2-r1.ebuild2
-rw-r--r--dev-python/trimesh/Manifest1
-rw-r--r--dev-python/trimesh/trimesh-3.21.5.ebuild65
-rw-r--r--dev-python/uvicorn/files/uvicorn-0.21.1-optional-rust.patch80
-rw-r--r--dev-python/uvicorn/uvicorn-0.21.1-r1.ebuild96
-rw-r--r--dev-python/uvicorn/uvicorn-0.21.1.ebuild2
33 files changed, 693 insertions, 188 deletions
diff --git a/dev-python/a2wsgi/a2wsgi-1.7.0.ebuild b/dev-python/a2wsgi/a2wsgi-1.7.0.ebuild
index 60dace2fbc4b..803f4f2408ac 100644
--- a/dev-python/a2wsgi/a2wsgi-1.7.0.ebuild
+++ b/dev-python/a2wsgi/a2wsgi-1.7.0.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="amd64 ~loong"
+KEYWORDS="amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc"
BDEPEND="
test? (
diff --git a/dev-python/accessible-pygments/accessible-pygments-0.0.4.ebuild b/dev-python/accessible-pygments/accessible-pygments-0.0.4.ebuild
index 339915ac8681..dfdd52026add 100644
--- a/dev-python/accessible-pygments/accessible-pygments-0.0.4.ebuild
+++ b/dev-python/accessible-pygments/accessible-pygments-0.0.4.ebuild
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="amd64 arm arm64 hppa ~ia64 ~ppc ppc64 ~riscv ~s390 sparc x86"
+KEYWORDS="amd64 arm arm64 hppa ~ia64 ppc ppc64 ~riscv ~s390 sparc x86"
RDEPEND="
>=dev-python/pygments-1.5[${PYTHON_USEDEP}]
diff --git a/dev-python/boolean-py/boolean-py-4.0.ebuild b/dev-python/boolean-py/boolean-py-4.0.ebuild
index 7ac21d3a3461..ebeb6130d6cd 100644
--- a/dev-python/boolean-py/boolean-py-4.0.ebuild
+++ b/dev-python/boolean-py/boolean-py-4.0.ebuild
@@ -22,6 +22,6 @@ S=${WORKDIR}/${MY_P}
LICENSE="BSD-2"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv x86"
+KEYWORDS="amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc x86"
distutils_enable_tests pytest
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 132ac8ac8eec..182e47972bae 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -4,4 +4,5 @@ DIST boto3-1.26.107.gh.tar.gz 632507 BLAKE2B 8331a8e925a390f56af023b49b45df307bd
DIST boto3-1.26.108.gh.tar.gz 632927 BLAKE2B 836bfda9d5cab0ccd89903f98acab2dc2f13c7ed392c7fe86a13e8410a4152ca57fabf529e3d02c4591906b76e026a9813a6d892c5db8f32fd55dc27b9cecb1f SHA512 9e003e1f7d396a352cf50dff1c83ca8db40b73165880371b10ddbeafced59cdf255a9f3aa3b395347fde8471ee149cb9191280104fdec71baf7975710a356640
DIST boto3-1.26.109.gh.tar.gz 635150 BLAKE2B d60417a5220eb1cd4a82e9652a0c6bc2bdb57749589c3596506e24e6d7f884fa4b8d480dad68dd34af0f0d71e970b43704b458cb2c8a750d81b66bc9a5123044 SHA512 6cd89835d69be9a5e87cd7f35ada43972681658eb7d1cefe3c98402690fd46360b4c0e48ca2d771b18cdce2097f985a42474ec92ab55b53eb24c671eebffe75e
DIST boto3-1.26.110.gh.tar.gz 635889 BLAKE2B 287bf483337e2e3944474e49b18aaf74871fb82e8280792fcf6e2576febab9a0855d522a791ebce16da772d98fe9278158fe5da342cc78e6954b74610446b5ca SHA512 de3f6664ccbd6105d05f5e4dd7b8dfe3f7a496e7ca3dd0e6722f65f1e9aa36ea0d945679b1fe245b6d2e21426ce1308851100012dbd150d45e57aacded7dbfb5
+DIST boto3-1.26.111.gh.tar.gz 636212 BLAKE2B a85b282cdb9cf79ac62fee9239672bcc43efa0721907587e015ee14c78f62ceec026423329535543adfddf1a099ec12d1ee8507fdc15f9e090334e3aae2b8cbc SHA512 7914a56b05e177c7598d740ed666e08fed4002eae0e5aea8af06aeac1e3702ca0526fc5f2434f8c4cc413b5364ee4a9de56990381f3e9b546f81e9a65478989e
DIST boto3-1.26.99.gh.tar.gz 625932 BLAKE2B 961a640995abdafbf2cd73f83ed5af0e1314cebbc5dc154771204e7c16532ad4a84aed08cbd7789af30de518bf2e8bd5204e9a540a2d3a08e75222c2eeb9a68a SHA512 ff726483a83a11a8c088905998af0a1a791e87503b39422811d82b3122275a24eb955636407422af7552908eee22d4c1369779a7798f09f958a8af5234c0c11d
diff --git a/dev-python/boto3/boto3-1.26.111.ebuild b/dev-python/boto3/boto3-1.26.111.ebuild
new file mode 100644
index 000000000000..2a4a7643203e
--- /dev/null
+++ b/dev-python/boto3/boto3-1.26.111.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 5962aa42cfdc..48e6fe80af72 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -4,4 +4,5 @@ DIST botocore-1.29.107.gh.tar.gz 11367875 BLAKE2B 3a7ee035770752f848ebe47db9801c
DIST botocore-1.29.108.gh.tar.gz 11370922 BLAKE2B 9f639ba9df35dfdd282021d258f6a40b5bc80a1cb918db56479c10854f6ae5d0e179dd6840baa39bdb229b2e42c7f40522cd6bec3db340bc7950f3557d0b3f63 SHA512 cb9632afbc12233a0483ca6eb93d2bc77814b859707e3db9c72ec5a33ea2a0f8c5c2215ab49e510ee356a0f222905fd4b6c262c8a0c30e104aa0e6842871faed
DIST botocore-1.29.109.gh.tar.gz 11375235 BLAKE2B 9bd6333319cce685257a5bd4eb06d289946b0706ff5ee6786d965bcab64d858a967812e0692e57713e6e93fb62848898713c2a303c9e2b976f39a38af948a9c5 SHA512 d5b14de4bedd96b8396bfac997df1482b2b83cdff1469d21a7e8a6c5047b6f46bd6690f36a4de3dc54fba1121486ff6c21422d7c8b6209a877d156dff76ccd1a
DIST botocore-1.29.110.gh.tar.gz 11378477 BLAKE2B d12d1073453c0e279a2976ae9fb3c41161a7da93aec9442d3262227a22efd2e73b704a95b9aaf727cb54646dff00c52aff6021ea119f8f2e500b580f4c4eed4a SHA512 5e44492d64d65d10ae9b8a16c37497e7b121a85987d93325896f22909b111e9821c14daf77acd192ca0cabad0e56aca9c2bd99a843c7bb5823ad6f80d23df702
+DIST botocore-1.29.111.gh.tar.gz 11379381 BLAKE2B c41a3089bf088ff6e0f74d4e425653638ae518f759e4b012a8fde1db736219797b9fc89f7fd6cd3e2187068ca8ca65ae2f113a8299b5eb9c9e6caaa976fdb4be SHA512 0a3890a47ce58d60883cde87908c80a358bd5ad2770c3790b71673de70807f8803ec5887654bd72b2c74844accf90cd460c9d7520adcd9d03d5164baa035b757
DIST botocore-1.29.99.gh.tar.gz 11285143 BLAKE2B ba594544fb219cec77659cfa48fb6e3a8241b92c911d9983450648ce97652cad7654181637fed8373fe49e33524f63920128afd4ca9c00bce45603b1ab917648 SHA512 319d70412843149aa43c8d7faeff04122d96091081d30c2da0962fadb27104a24cc147fac2c95492aa407b2f8a25ebed9e7d149c29d5d38134d836581c801bdd
diff --git a/dev-python/botocore/botocore-1.29.111.ebuild b/dev-python/botocore/botocore-1.29.111.ebuild
new file mode 100644
index 000000000000..491b6bbc21f2
--- /dev/null
+++ b/dev-python/botocore/botocore-1.29.111.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ # fails on unrelated warnings
+ tests/unit/test_client.py::TestAutoGeneratedClient::test_BOTO_DISABLE_COMMONNAME
+ tests/unit/test_client.py::TestClientErrors::test_BOTO_DISABLE_COMMONNAME
+ # TODO
+ tests/functional/test_credentials.py::SSOSessionTest::test_token_chosen_from_provider
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/cerberus/cerberus-1.3.4-r1.ebuild b/dev-python/cerberus/cerberus-1.3.4-r1.ebuild
index 36e2265a5312..0379c7c14275 100644
--- a/dev-python/cerberus/cerberus-1.3.4-r1.ebuild
+++ b/dev-python/cerberus/cerberus-1.3.4-r1.ebuild
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="ISC"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv x86"
+KEYWORDS="amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc x86"
PATCHES=(
"${FILESDIR}"/${PN}-1.3.2_no-pytest-runner.patch
diff --git a/dev-python/license-expression/license-expression-30.1.0.ebuild b/dev-python/license-expression/license-expression-30.1.0.ebuild
index 947674954120..e2232ca57a38 100644
--- a/dev-python/license-expression/license-expression-30.1.0.ebuild
+++ b/dev-python/license-expression/license-expression-30.1.0.ebuild
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv x86"
+KEYWORDS="amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc x86"
RDEPEND="
>=dev-python/boolean-py-4.0[${PYTHON_USEDEP}]
diff --git a/dev-python/moto/Manifest b/dev-python/moto/Manifest
index b2dcba347dbd..92ccd92c608d 100644
--- a/dev-python/moto/Manifest
+++ b/dev-python/moto/Manifest
@@ -1 +1,2 @@
DIST moto-4.1.6.tar.gz 3470215 BLAKE2B 78f9c54128ba71fc5e3ba622be0596490bc82df0a17fa80d9f11bf135bdc91d9698cc29445b5765e6057e80f221c016ca8999186201b83b5f929f5831c417f60 SHA512 fb2dc73a66326216a4c5338660dab844de9a46e6626e0ef68bccb3573a3eba693b30b89961b019a4b7a51207ab11335e73cbdf523c75d91a5a9625a1bc409e61
+DIST moto-4.1.7.tar.gz 3506753 BLAKE2B 76e38629f1a772816bfa647b90e89e3c4533cd36fa5a8a26e026229dd1dd8bf1cea404f99c85784a6eefa9173aecff7b88ba1ca7b3f890407c2ad7ef29106fac SHA512 3b20d2a535654cee22c909e19eb492e3b4b8fd382d26367c12cee00128dc4d1ea5228ccc97d40a01c5c2707ff3ca1039644268c47c525c79a9b68fc7ee78541c
diff --git a/dev-python/moto/moto-4.1.7.ebuild b/dev-python/moto/moto-4.1.7.ebuild
new file mode 100644
index 000000000000..d30e9392b520
--- /dev/null
+++ b/dev-python/moto/moto-4.1.7.ebuild
@@ -0,0 +1,104 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Mock library for boto"
+HOMEPAGE="
+ https://github.com/getmoto/moto/
+ https://pypi.org/project/moto/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/aws-xray-sdk-python-0.93[${PYTHON_USEDEP}]
+ >=dev-python/cfn-lint-0.40.0[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-3.3.1[${PYTHON_USEDEP}]
+ dev-python/cookies[${PYTHON_USEDEP}]
+ >=dev-python/docker-py-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/idna-2.5[${PYTHON_USEDEP}]
+ >=dev-python/jinja-2.10.1[${PYTHON_USEDEP}]
+ >=dev-python/jsondiff-1.1.2[${PYTHON_USEDEP}]
+ dev-python/boto3[${PYTHON_USEDEP}]
+ dev-python/botocore[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/flask-cors[${PYTHON_USEDEP}]
+ dev-python/more-itertools[${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-3.0.7[${PYTHON_USEDEP}]
+ >=dev-python/openapi-spec-validator-0.2.8[${PYTHON_USEDEP}]
+ dev-python/pretty-yaml[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.1[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/python-jose[${PYTHON_USEDEP}]
+ dev-python/python-sshpubkeys[${PYTHON_USEDEP}]
+ >=dev-python/responses-0.9.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.5[${PYTHON_USEDEP}]
+ dev-python/xmltodict[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ dev-python/zipp[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ >=dev-python/sure-1.4.11[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ tests/test_firehose/test_firehose_put.py::test_put_record_http_destination
+ tests/test_firehose/test_firehose_put.py::test_put_record_batch_http_destination
+ tests/test_swf/responses/test_decision_tasks.py::test_respond_decision_task_completed_with_schedule_activity_task_boto3
+ tests/test_swf/responses/test_timeouts.py::test_activity_task_heartbeat_timeout_boto3
+ tests/test_swf/responses/test_timeouts.py::test_decision_task_start_to_close_timeout_boto3
+ tests/test_swf/responses/test_timeouts.py::test_workflow_execution_start_to_close_timeout_boto3
+ # broken code (local variable used referenced before definition)
+ tests/test_appsync/test_appsync_schema.py
+ tests/test_appsync/test_server.py::test_appsync_list_tags_for_resource
+ # Needs network (or docker?) but not marked as such, bug #807031
+ # TODO: report upstream
+ tests/test_batch/test_batch_jobs.py::test_terminate_job
+ tests/test_batch/test_batch_jobs.py::test_cancel_pending_job
+ tests/test_batch/test_batch_jobs.py::test_cancel_running_job
+ tests/test_batch/test_batch_jobs.py::test_dependencies
+ tests/test_batch/test_batch_jobs.py::test_container_overrides
+ tests/test_cloudformation/test_cloudformation_custom_resources.py::test_create_custom_lambda_resource__verify_cfnresponse_failed
+
+ tests/test_cloudformation/test_cloudformation_stack_integration.py::test_lambda_function
+ tests/test_core/test_docker.py::test_docker_is_running_and_available
+ tests/test_events/test_events_lambdatriggers_integration.py::test_creating_bucket__invokes_lambda
+ tests/test_sqs/test_integration.py::test_invoke_function_from_sqs_exception
+ tests/test_sqs/test_sqs_integration.py::test_invoke_function_from_sqs_exception
+ tests/test_s3/test_server.py::test_s3_server_post_to_bucket_redirect
+ tests/test_s3/test_multiple_accounts_server.py::TestAccountIdResolution::test_with_custom_request_header
+ "tests/test_s3/test_s3_lambda_integration.py::test_objectcreated_put__invokes_lambda[match_events0-ObjectCreated:Put]"
+ "tests/test_s3/test_s3_lambda_integration.py::test_objectcreated_put__invokes_lambda[match_events1-ObjectCreated:Put]"
+ "tests/test_s3/test_s3_lambda_integration.py::test_objectcreated_put__invokes_lambda[match_events3-ObjectCreated:Put]"
+ # TODO
+ tests/test_batch/test_batch_jobs.py::test_failed_dependencies
+ tests/test_batch/test_batch_jobs.py::test_failed_job
+ tests/test_batch_simple/test_batch_jobs.py::test_submit_job_by_name
+ tests/test_core/test_environ_patching.py::test_aws_keys_can_be_none
+ tests/test_core/test_mock_all.py::test_context_manager
+ tests/test_sqs/test_sqs_integration.py::test_invoke_function_from_sqs_queue
+ tests/test_sqs/test_sqs_integration.py::test_invoke_function_from_sqs_fifo_queue
+ # require py_partiql_parser
+ tests/test_s3/test_s3_select.py
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -m 'not network'
+}
diff --git a/dev-python/partd/Manifest b/dev-python/partd/Manifest
index 5ebadda700e1..02ef60e79837 100644
--- a/dev-python/partd/Manifest
+++ b/dev-python/partd/Manifest
@@ -1 +1,2 @@
DIST partd-1.3.0.tar.gz 36153 BLAKE2B e717d61f44c30cfef487e0849a920f839bcafdba1f39b884d9bb4314547074f876aaae53e8613687f5f71dabcc6fd68c95c37264dc52a52544eed50367e85acc SHA512 0ebcccb5dd25d7328bf76e05523b3e40836a92ea867d26aee31e739b7859ca7848da92c6c20824ed1343c1ced2c759361b25ec30f8405e61bd36308613f866c7
+DIST partd-1.4.0.tar.gz 36345 BLAKE2B 2e402e8bdd36544ef1f6b537a62217f673781c2210fcd3f01796311bd15befea474082f7b7191bf520f6b1b6c20f0e81e81f960aed457ba2b434c1a0cacf5641 SHA512 a77573798f330ff467dc07c3f7233ddf5b491e6f5c13f4d3a898125e40424e08f3d3491312506156254089704114b58e948a89c954d212402e59886b45bcb299
diff --git a/dev-python/partd/partd-1.4.0.ebuild b/dev-python/partd/partd-1.4.0.ebuild
new file mode 100644
index 000000000000..baa9ddedd8ad
--- /dev/null
+++ b/dev-python/partd/partd-1.4.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Appendable key-value storage"
+HOMEPAGE="
+ https://github.com/dask/partd/
+ https://pypi.org/project/partd/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/locket[${PYTHON_USEDEP}]
+ dev-python/toolz[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/blosc[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/pyzmq[${PYTHON_USEDEP}]
+ dev-python/toolz[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/pdm-pep517/Manifest b/dev-python/pdm-pep517/Manifest
index 8361ad5747de..c323ca9383ad 100644
--- a/dev-python/pdm-pep517/Manifest
+++ b/dev-python/pdm-pep517/Manifest
@@ -1,2 +1,3 @@
DIST pdm-pep517-1.1.2.gh.tar.gz 231983 BLAKE2B b2225da24f52d4d2c1a903db57f000a1fb2ba8435083d956ff740d272ee2fa8f00cf001673e32800fc0437ae2d1016cac661fda24f8b5f34c83a342fd3e8c353 SHA512 8f6140492ef8323044f01887895e6664019092f964e1fae3a829bcefb3d5d9c9223ef163183899681270f95b4a3a517951b7e44629ec3f37598c04ccbb221cac
DIST pdm-pep517-1.1.3.gh.tar.gz 232038 BLAKE2B 8d7e4cbd439c8cd5fd541043da93fcee4737d47c27ce049743c0944bff66b4784b00e3650e088e1ddfabcdfd4398e5fe90f3029a8353d91cc4b11ec8625d44eb SHA512 ed29b2c5a2030ceb103eb9df3d399efa316c02fb97b2000d770591c9f1abe0adeabf1cbdb9b5863dc82a1adfb67dd6385c362963145779fbf63dd39e0ff533f0
+DIST pdm-pep517-1.1.4.gh.tar.gz 232583 BLAKE2B 0f718e5b0a854505ca22b15cbe0bf3eeb9e028062e1bbd8a5fa6ca79e605ced7ec45e9429747c18fa2b96872487b2a5b3007567e2875d2121ed52c5027e1a4d4 SHA512 b3359ed0f0746e879b3cad8fdedcf49a36f179d68a530a80e5c985d26f89e9e3ab92a56a128dd69603e52fff5070ebe8ec2dc0f6ec07c8eb14da27e5a3b3b4a8
diff --git a/dev-python/pdm-pep517/pdm-pep517-1.1.3.ebuild b/dev-python/pdm-pep517/pdm-pep517-1.1.3.ebuild
index 825e8aa99dcc..9d90015a568d 100644
--- a/dev-python/pdm-pep517/pdm-pep517-1.1.3.ebuild
+++ b/dev-python/pdm-pep517/pdm-pep517-1.1.3.ebuild
@@ -24,7 +24,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
RDEPEND="
>=dev-python/cerberus-1.3.4[${PYTHON_USEDEP}]
diff --git a/dev-python/pdm-pep517/pdm-pep517-1.1.4.ebuild b/dev-python/pdm-pep517/pdm-pep517-1.1.4.ebuild
new file mode 100644
index 000000000000..e79e5627787e
--- /dev/null
+++ b/dev-python/pdm-pep517/pdm-pep517-1.1.4.ebuild
@@ -0,0 +1,63 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+# upstream has renamed the repo but the legacy branch is still published
+# as pdm-pep517, sigh
+MY_P=pdm-backend-${PV}
+DESCRIPTION="A PEP 517 backend for PDM that supports PEP 621 metadata"
+HOMEPAGE="
+ https://pypi.org/project/pdm-pep517/
+ https://github.com/pdm-project/pdm-backend/
+"
+SRC_URI="
+ https://github.com/pdm-project/pdm-backend/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/cerberus-1.3.4[${PYTHON_USEDEP}]
+ dev-python/license-expression[${PYTHON_USEDEP}]
+ >=dev-python/packaging-21.3-r2[${PYTHON_USEDEP}]
+ >=dev-python/tomli-2[${PYTHON_USEDEP}]
+ dev-python/tomli-w[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-vcs/git
+ )
+"
+# setuptools are used to build C extensions
+RDEPEND+="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ rm -r pdm/pep517/_vendor || die
+ find -name '*.py' -exec sed \
+ -e 's:from pdm\.pep517\._vendor\.:from :' \
+ -e 's:from pdm\.pep517\._vendor ::' \
+ -i {} + || die
+ distutils-r1_src_prepare
+}
+
+src_test() {
+ git config --global user.email "test@example.com" || die
+ git config --global user.name "Test User" || die
+ distutils-r1_src_test
+}
diff --git a/dev-python/pydata-sphinx-theme/Manifest b/dev-python/pydata-sphinx-theme/Manifest
index 87b44c3488c2..22fd03c26cc8 100644
--- a/dev-python/pydata-sphinx-theme/Manifest
+++ b/dev-python/pydata-sphinx-theme/Manifest
@@ -1,7 +1,2 @@
-DIST pydata-sphinx-theme-0.13.1.gh.tar.gz 3391663 BLAKE2B 411b3dfb81b84189da86b0d11bf983348ecc6cef25142616f997f6301bc7873360835ba87309c055df46800ba34c30cf0d82bc3fb2c1984214d0c3e02556d17b SHA512 c88db817891800ee3483f724770354ab8c02abb0e430537ecd29b2e4b566fbdccb0a461926858a20da2da98dff37c6f09fa3f29dc538ecc30abd87597a9c08c2
-DIST pydata-sphinx-theme-0.13.2.gh.tar.gz 3367549 BLAKE2B 29a219b865c3c8f9c7ab8acba50ded75585c240cb120d8cb21234fdb6c1126f6ddadc1582de5aeaf253a7ec7126a9395cc12dbead5f7b0c54a5727634d965aa2 SHA512 e26a8ed2791489f23df774e024bc04e2600b70228bf0db1cc69edd1fb4f615425e8e1f06ea849516fd7601bea23caecad3641a4547c78cd9b7e808a61aa79008
DIST pydata-sphinx-theme-0.13.3.gh.tar.gz 3370023 BLAKE2B 3d5e05222cce5c92e0ffadbf91d3bfa575a809b06c23da800e845e5b4ec622a3bfba0f5a72cc0c969b1a074e765e611c2aeb3cef77842d51529537959a952cd5 SHA512 312308838a78bf66430660ee0d7484cf20004926446111e1e8bf89fc96b38f4b8345b96856705aaa56371b31c369066a043c53d263731ccb411e7e263fc3a96a
-DIST pydata-sphinx-theme-0.7.2.gh.tar.gz 2632129 BLAKE2B 2beb9fac60b5f6c863ee4c570b88c4331135d2c8a10d84599f97944002576424caae06d062104a58c7f329f85e046eaa820d03a4117396009084707d563608d7 SHA512 2f6cac080807eab04f1c4de2fdd1563de17f1214f79c094f69b5ff116bcc47f1b0e159d6c87412c8cbe7691b19eebb3b228ca8243d05c81bba94d0aacbdb3e5e
-DIST pydata_sphinx_theme-0.13.1-py3-none-any.whl 1624783 BLAKE2B 9ff997244b12320dccbec56866af4cf780a5341a5d75b7040de3623d15a2593561a6506f31be769b63bb72905e1e428e9fe0955988b2919732bdfe1dfba68062 SHA512 1f31d59b0041aa6302ea3d6a03d089adb7108e334813f2ceb576b04b5767a96ef4b3d6d3d3f4bc40c399932b193575a21f418dba2a1737a14ba90deead951457
-DIST pydata_sphinx_theme-0.13.2-py3-none-any.whl 1976897 BLAKE2B 3934bdee8210e3c384a284f402627a9d6716c3664a613a7de8ba3e05d143551d2fadbbce3929b837ce1af96019887fbc56d84129b75bb01922562f011dccee04 SHA512 9daed721a90411453cc150e80472fae592a477ce58dc815e60475c579ab62453953c300587cbd1fb8c830ad986cc49f3278f2d781c44a8c35463c1cd2e09bd0e
DIST pydata_sphinx_theme-0.13.3-py3-none-any.whl 1979378 BLAKE2B 49f871167a73ee088aca87c49f728821a8df4b79015e543e84eee7ac85e2e8a81b3419cca0c8ad14197e44c2bb2b2533a9c7e9e29384d37956c5d814904cc2b7 SHA512 59ec688677cb6d150e4741e84bfd32914f139533118a297c6691b27ea56e2e85577593951a5b3daaf9d41c7de3cb8276c479b72b12c4e8921d7418c75dfe90ff
diff --git a/dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.13.1.ebuild b/dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.13.1.ebuild
deleted file mode 100644
index 811b919ee08d..000000000000
--- a/dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.13.1.ebuild
+++ /dev/null
@@ -1,47 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=standalone
-PYPI_NO_NORMALIZE=1
-PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Bootstrap-based Sphinx theme from the PyData community"
-HOMEPAGE="
- https://github.com/pydata/pydata-sphinx-theme/
- https://pypi.org/project/pydata-sphinx-theme/
-"
-SRC_URI="
- https://github.com/pydata/pydata-sphinx-theme/archive/v${PV}.tar.gz
- -> ${P}.gh.tar.gz
- $(pypi_wheel_url)
-"
-
-LICENSE="BSD-with-disclosure"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
-
-RDEPEND="
- dev-python/accessible-pygments[${PYTHON_USEDEP}]
- dev-python/Babel[${PYTHON_USEDEP}]
- dev-python/beautifulsoup4[${PYTHON_USEDEP}]
- dev-python/docutils[${PYTHON_USEDEP}]
- dev-python/packaging[${PYTHON_USEDEP}]
- dev-python/pygments[${PYTHON_USEDEP}]
- >=dev-python/sphinx-4.2[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/pytest-regressions[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-python_compile() {
- distutils_wheel_install "${BUILD_DIR}/install" \
- "${DISTDIR}/$(pypi_wheel_name)"
-}
diff --git a/dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.13.2.ebuild b/dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.13.2.ebuild
deleted file mode 100644
index 811b919ee08d..000000000000
--- a/dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.13.2.ebuild
+++ /dev/null
@@ -1,47 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=standalone
-PYPI_NO_NORMALIZE=1
-PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Bootstrap-based Sphinx theme from the PyData community"
-HOMEPAGE="
- https://github.com/pydata/pydata-sphinx-theme/
- https://pypi.org/project/pydata-sphinx-theme/
-"
-SRC_URI="
- https://github.com/pydata/pydata-sphinx-theme/archive/v${PV}.tar.gz
- -> ${P}.gh.tar.gz
- $(pypi_wheel_url)
-"
-
-LICENSE="BSD-with-disclosure"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
-
-RDEPEND="
- dev-python/accessible-pygments[${PYTHON_USEDEP}]
- dev-python/Babel[${PYTHON_USEDEP}]
- dev-python/beautifulsoup4[${PYTHON_USEDEP}]
- dev-python/docutils[${PYTHON_USEDEP}]
- dev-python/packaging[${PYTHON_USEDEP}]
- dev-python/pygments[${PYTHON_USEDEP}]
- >=dev-python/sphinx-4.2[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/pytest-regressions[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-python_compile() {
- distutils_wheel_install "${BUILD_DIR}/install" \
- "${DISTDIR}/$(pypi_wheel_name)"
-}
diff --git a/dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.13.3.ebuild b/dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.13.3.ebuild
index 5469f3ac693d..ae6e859b9455 100644
--- a/dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.13.3.ebuild
+++ b/dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.13.3.ebuild
@@ -22,7 +22,7 @@ SRC_URI="
LICENSE="BSD-with-disclosure"
SLOT="0"
-KEYWORDS="amd64 arm arm64 hppa ~ia64 ~mips ~ppc ppc64 ~riscv ~s390 sparc x86"
+KEYWORDS="amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86"
RDEPEND="
dev-python/accessible-pygments[${PYTHON_USEDEP}]
diff --git a/dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.7.2-r1.ebuild b/dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.7.2-r1.ebuild
deleted file mode 100644
index e0a1b32de987..000000000000
--- a/dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.7.2-r1.ebuild
+++ /dev/null
@@ -1,38 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-DISTUTILS_USE_PEP517=setuptools
-
-inherit distutils-r1
-
-DESCRIPTION="Bootstrap-based Sphinx theme from the PyData community"
-HOMEPAGE="
- https://github.com/pydata/pydata-sphinx-theme/
- https://pypi.org/project/pydata-sphinx-theme/
-"
-SRC_URI="
- https://github.com/pydata/pydata-sphinx-theme/archive/v${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="BSD-with-disclosure"
-SLOT="0"
-KEYWORDS="amd64 arm arm64 hppa ~ia64 ppc ppc64 ~riscv ~s390 sparc x86"
-
-RDEPEND="
- dev-python/beautifulsoup4[${PYTHON_USEDEP}]
- dev-python/docutils[${PYTHON_USEDEP}]
- dev-python/sphinx[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/pytest-regressions[${PYTHON_USEDEP}]
- )
-"
-
-# TODO: fix this: Sandbox violation to /usr/local/share
-#distutils_enable_sphinx docs dev-python/commonmark dev-python/recommonmark dev-python/numpydoc dev-python/jupyter-sphinx dev-python/plotly dev-python/xarray
-distutils_enable_tests pytest
diff --git a/dev-python/reedsolomon/Manifest b/dev-python/reedsolomon/Manifest
index e42d671cebfe..e753381a050a 100644
--- a/dev-python/reedsolomon/Manifest
+++ b/dev-python/reedsolomon/Manifest
@@ -1,2 +1,3 @@
DIST reedsolo-2.0.31b1.tar.gz 379032 BLAKE2B cc7d838f2d3a4c8257cf7865ba31dce3c94f47b64cb3d8c187d7ddc0166f82a01abd41d0671b7776c7b63b09673a14e2ff0401091e03fe72fcb1b1621373784a SHA512 f98cfb058a0c670f7de5b0803b5fc537b2da8f49e39c01e44de1cf659957380775a4c1e93fd0b91f2883e4883b16150c3cbd03fb4ee01314f2d8bdf24a622063
+DIST reedsolo-2.1.0b1.tar.gz 379041 BLAKE2B 860d5d67fb7653b92a8163b72143ff3a5b1a482359339a596acd5e7f99eda1a2d6d208548e6689dca63018f5893d536a0c7040956cfee6077d9016fe7ca1d485 SHA512 1ae25c53f315cedcaaa4530388557c3dba1902856fe1543a061a65dc3c5c4201c1d8a5959786c3bf15a0f9799f984c8ba84e630ad1e75efbe44260346a650251
DIST reedsolomon-1.7.0.gh.tar.gz 64279 BLAKE2B 304abdf3709dff52c4c515598c511b8e3080475c0755ab68eb9468652f12d2cdb2763bdf88f5fe5e69813928646a8b8378fee9cb2b24d54ce9a6f2b5fb985ac9 SHA512 c7d2ae8444c9e3d6646587f85fe0085a7579cc58d2f4bca3fb89632df4873e2664c81f06ee2e75e928248bb558a7fd8d101a043187ce05e70a079b031981c374
diff --git a/dev-python/reedsolomon/reedsolomon-2.1.0_beta1.ebuild b/dev-python/reedsolomon/reedsolomon-2.1.0_beta1.ebuild
new file mode 100644
index 000000000000..bc73aade9ec3
--- /dev/null
+++ b/dev-python/reedsolomon/reedsolomon-2.1.0_beta1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN=reedsolo
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python Reed Solomon encoder/decoder"
+HOMEPAGE="
+ https://github.com/tomerfiliba-org/reedsolomon/
+ https://pypi.org/project/reedsolo/
+"
+
+LICENSE="|| ( Unlicense MIT-0 )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="+native-extensions"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/pytest-cov/d' pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+src_configure() {
+ if use native-extensions; then
+ DISTUTILS_ARGS=(
+ # TODO: switch to --cythonize once we're on cython-3
+ --native-compile
+ )
+ fi
+}
diff --git a/dev-python/scikit-build/Manifest b/dev-python/scikit-build/Manifest
index 0e6a704e6b14..457b79286c0a 100644
--- a/dev-python/scikit-build/Manifest
+++ b/dev-python/scikit-build/Manifest
@@ -2,3 +2,4 @@ DIST scikit-build-0.16.4.tar.gz 271037 BLAKE2B 6cca8a3c4f4b37228b77ac098650a5eca
DIST scikit-build-0.16.5.tar.gz 271974 BLAKE2B e34d44fb27975720adc4ca57a0fabc9b05260a13043b546d19bfb44fa1c60e6490c5d7bbd41494481da470e24c05c4da3eb41b26c78160a35be1e3c29f9a4ef4 SHA512 37e50b3a1fc04b6758b65a58f5d5239effbc0ab38a4a2024098b6a69eea1d7a9a388e41696176469e9c55a7c8b73ace9d7eee2daf5d0fbaefe2a3e09880ee600
DIST scikit-build-0.16.6.tar.gz 272201 BLAKE2B bb14b0db52d0c04b9630fa27ccbc58c7af72eb8640c4dc82e920acdbc815e2eb8f7662684b23aa42765966ae1ad4e046dead3d7090a263d79f69bfd955ab0f24 SHA512 f36a46845420b441ca158ea05bc20023238afdf81b2108554a52a4a2be0cb19ef6b2729997199d9a9d18841c8470df8f7e7a986a86e1172328f0963f3a015f3d
DIST scikit-build-0.16.7.tar.gz 274287 BLAKE2B 8a5064c021d904312ccf89a396ab794b89b73ad1b6238767ca74eeb394f0f1514eedd3c746353ee3e9e7b825988b3c52c563e1f19d0acfbe69213c5a306f1dcc SHA512 5bba94214c249f891b2972301b0e37b5f10938151e37a04b845dfc9e11ae85edc7e3880984f9fbbd1c037257fc8baa3ba7b006b1f1b7abb941d1a54e049f3cbc
+DIST scikit_build-0.17.0.tar.gz 266282 BLAKE2B ca8d9fbb422363850b4ad12d3b8e2ad6e1664b8b7354c64e6fc1ad4ab1965a3be92c24699041b67dc91c2be02f7d17be3eefd9a909ea0380149eb5b58e01ea49 SHA512 0ad536ac624eecc0710b5e65ec976cc9f8eb15f0017edf79016724ae8321909c134cf9b6842f58d80b3e62edad95652987339e26e3c576b909adccd3a2f492d1
diff --git a/dev-python/scikit-build/scikit-build-0.17.0.ebuild b/dev-python/scikit-build/scikit-build-0.17.0.ebuild
new file mode 100644
index 000000000000..2439d933fc24
--- /dev/null
+++ b/dev-python/scikit-build/scikit-build-0.17.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Improved build system generator for Python C/C++/Fortran/Cython extensions"
+HOMEPAGE="
+ https://github.com/scikit-build/scikit-build/
+ https://pypi.org/project/scikit-build/
+"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/distro[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-42.0.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.{9..10})
+ >=dev-python/wheel-0.32.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ dev-python/hatch-fancy-pypi-readme[${PYTHON_USEDEP}]
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/build-0.7[${PYTHON_USEDEP}]
+ >=dev-python/cython-0.25.1[${PYTHON_USEDEP}]
+ >=dev-python/pytest-mock-1.10.4[${PYTHON_USEDEP}]
+ >=dev-python/pytest-virtualenv-1.2.5[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs \
+ dev-python/sphinx-rtd-theme \
+ dev-python/sphinx-issues
+distutils_enable_tests pytest
+
+src_prepare() {
+ # not packaged
+ sed -i -e '/cmakedomain/d' docs/conf.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ epytest -m "not isolated and not nosetuptoolsscm"
+ rm -r "${BUILD_DIR}/install$(python_get_sitedir)"/{easy-install.pth,*.egg,*.egg-link} || die
+}
diff --git a/dev-python/spur/Manifest b/dev-python/spur/Manifest
index 03aad49e7246..dff8e65c3f08 100644
--- a/dev-python/spur/Manifest
+++ b/dev-python/spur/Manifest
@@ -1,3 +1 @@
-DIST spur-0.3.22-nose2pytest.diff 31953 BLAKE2B 6ff1ab74215df036101720ca7b1ed5c7f0f9e6dc000a55175da85024d771354cad33d967c7d5ce63bf47dc2009d82147d3da8091a8b605176040f1cef274429e SHA512 ed8617021fe3ea43d8e53dc601b3778026f20e472e7bea2ee9a7565ccc4568a29cb669d7892cb0e16afeb64cb04d0f3973b85a151b20e94ef7b7df4210b17f9d
-DIST spur.py-0.3.22.gh.tar.gz 17760 BLAKE2B 676484e73fa38ebcd3bcc2ace21853590b652d0ec2dc31f7635a55a8bbb213e559fbdd7b70e545091e7e28e6000862ef45eba748e13c546b765756b41c352028 SHA512 36518a080d3fff97fdab5af8e7e3045c58ad6b1acad9fb79e11da688d484565ee4d50868f3c3ee10299e135f2c01bd35348256df7bb1b4f6200aa175cafc7f0a
DIST spur.py-0.3.23.gh.tar.gz 17853 BLAKE2B fe0d93b5c646fc3f26b996595af3d140db5d362a9e9ad4bc2bce911735bcdefd823ecaf478d732671229e6db0640c211643e6e2774e73fb36042eb0231626b9b SHA512 20b8bbee4932f3ecf202332c9e920938d4fc1e2641fcb6bf4ac52004274f81a637100771cb772009fd3fe6857ab87370c7a943cfdc6980e7f9b83bb7999ee261
diff --git a/dev-python/spur/spur-0.3.22-r1.ebuild b/dev-python/spur/spur-0.3.22-r1.ebuild
deleted file mode 100644
index c058346d6b9a..000000000000
--- a/dev-python/spur/spur-0.3.22-r1.ebuild
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright 2020-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-DISTUTILS_USE_PEP517=setuptools
-inherit distutils-r1
-
-MY_P=spur.py-${PV}
-DESCRIPTION="Run commands locally or over SSH using the same interface"
-HOMEPAGE="https://github.com/mwilliamson/spur.py"
-SRC_URI="
- https://github.com/mwilliamson/spur.py/archive/${PV}.tar.gz
- -> ${MY_P}.gh.tar.gz
- https://dev.gentoo.org/~andrewammerlaan/${P}-nose2pytest.diff
-"
-S="${WORKDIR}/${MY_P}"
-
-LICENSE="BSD-2"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ppc64 ~riscv x86"
-
-RDEPEND="
- dev-python/paramiko[${PYTHON_USEDEP}]
-"
-
-PATCHES=(
- # https://github.com/mwilliamson/spur.py/pull/95
- "${DISTDIR}/${P}-nose2pytest.diff"
-)
-
-distutils_enable_tests pytest
-
-src_prepare() {
- distutils-r1_src_prepare
-
- # TODO: set up a local SSH server?
- rm tests/{test_ssh,testing}.py || die
-}
diff --git a/dev-python/tornado/tornado-6.2-r1.ebuild b/dev-python/tornado/tornado-6.2-r1.ebuild
index 913e83cf786c..da1093a10eb4 100644
--- a/dev-python/tornado/tornado-6.2-r1.ebuild
+++ b/dev-python/tornado/tornado-6.2-r1.ebuild
@@ -18,7 +18,7 @@ HOMEPAGE="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
IUSE="examples test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/trimesh/Manifest b/dev-python/trimesh/Manifest
index aff08a6e92e1..f48b0571c9e9 100644
--- a/dev-python/trimesh/Manifest
+++ b/dev-python/trimesh/Manifest
@@ -5,3 +5,4 @@ DIST trimesh-3.21.1.gh.tar.gz 12689151 BLAKE2B e0d04a6003656f096404ec8972907381f
DIST trimesh-3.21.2.gh.tar.gz 12691646 BLAKE2B 0ec2c1e9afb607984b92d339fa07dd8b92bf0ac50c56704c98ce3f6c35449794b595640d68c67dc2ce59f236545f5df72238aef21103fbc1f432bbe285332a46 SHA512 e9e692c6dd20c787c9262e148aaaffb81c8ef3decbeb16e3c008a585701e9e71c73487e8226b159e86d550019f297bb2163b3be3006dd08c2df932d3dcd0b403
DIST trimesh-3.21.3.gh.tar.gz 12692861 BLAKE2B 8e3f9cc28b26371bc46b31c48c1e79345cb6f27755999bf99cc793f83706ab559cffb3788101995550e112b77617c0d112c06f636f0f4c3047b966f669b419b3 SHA512 ab72b8b61643152d5fdcf5326b1c8a6f8e54c4bbc0653fe8c1dd379ecfa8510ae542c85adde8200abcb863ec80dbeb9046d6d7d4ec5f1f9aadead8871841b948
DIST trimesh-3.21.4.gh.tar.gz 12692752 BLAKE2B 47f83c594318270c1594bad9c877de2cba71d44eccae7f755418aba785ce21c36946e482b38020a79417c4e346cd60cf3b31ee96bd489501a9dd88c2d433c68c SHA512 749f208b91f55b2a9581fa953bd984fc71a7c54bcc3d00ad1df8af2489911e966d2821dcff3d673e8ba55a83c9cce75625aaaeeddff817a16bb09b82b2bca549
+DIST trimesh-3.21.5.gh.tar.gz 12692813 BLAKE2B 31f3933b4b76f55783dceb32b8079383d84439cc0705ae47b5e0062a8192a88123264ce0a803cf4bba6f3c0fad12b77cf524bf03b2ce5c1b2b4f6146eebcddd5 SHA512 4bf6879294042aea9bce65a79c1717de1bec92a0a9f6f420ed98dbc4cb5260dba4656ee0074f77d46d37c910838c7a4b7c7dff0249aa38109bb677993f886291
diff --git a/dev-python/trimesh/trimesh-3.21.5.ebuild b/dev-python/trimesh/trimesh-3.21.5.ebuild
new file mode 100644
index 000000000000..50458139f318
--- /dev/null
+++ b/dev-python/trimesh/trimesh-3.21.5.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 multiprocessing optfeature
+
+DESCRIPTION="Python library for loading and using triangular meshes"
+HOMEPAGE="
+ https://trimsh.org/
+ https://github.com/mikedh/trimesh/
+ https://pypi.org/project/trimesh/
+"
+SRC_URI="
+ https://github.com/mikedh/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/chardet[${PYTHON_USEDEP}]
+ dev-python/colorlog[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/pycollada[${PYTHON_USEDEP}]
+ dev-python/pyglet[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/shapely-1.8.2[${PYTHON_USEDEP}]
+ dev-python/svg-path[${PYTHON_USEDEP}]
+ dev-python/sympy[${PYTHON_USEDEP}]
+ dev-python/xxhash[${PYTHON_USEDEP}]
+ sci-libs/rtree[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ dev-python/mapbox_earcut[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ epytest -n "$(makeopts_jobs)"
+}
+
+pkg_postinst() {
+ optfeature_header "${PN} functionality can be extended by installing the following packages:"
+ optfeature "making GUI applications with 3D stuff" dev-python/glooey
+ optfeature "2D triangulations of polygons" dev-python/mapbox_earcut
+ optfeature "loading a number of additional mesh formats" dev-python/meshio
+ optfeature "figuring out how much memory we have" dev-python/psutil
+ optfeature "marching cubes and other nice stuff" sci-libs/scikit-image
+}
diff --git a/dev-python/uvicorn/files/uvicorn-0.21.1-optional-rust.patch b/dev-python/uvicorn/files/uvicorn-0.21.1-optional-rust.patch
new file mode 100644
index 000000000000..dddeda158252
--- /dev/null
+++ b/dev-python/uvicorn/files/uvicorn-0.21.1-optional-rust.patch
@@ -0,0 +1,80 @@
+--- a/tests/conftest.py
++++ b/tests/conftest.py
+@@ -11,9 +11,13 @@ from time import sleep
+ from uuid import uuid4
+
+ import pytest
+-import trustme
+-from cryptography.hazmat.backends import default_backend
+-from cryptography.hazmat.primitives import serialization
++
++try:
++ import trustme
++ from cryptography.hazmat.backends import default_backend
++ from cryptography.hazmat.primitives import serialization
++except ImportError:
++ pass
+
+ from uvicorn.config import LOGGING_CONFIG
+
+@@ -30,12 +34,12 @@ LOGGING_CONFIG["loggers"]["uvicorn"]["propagate"] = True
+
+
+ @pytest.fixture
+-def tls_certificate_authority() -> trustme.CA:
++def tls_certificate_authority() -> "trustme.CA":
+ return trustme.CA()
+
+
+ @pytest.fixture
+-def tls_certificate(tls_certificate_authority: trustme.CA) -> trustme.LeafCert:
++def tls_certificate(tls_certificate_authority: "trustme.CA") -> "trustme.LeafCert":
+ return tls_certificate_authority.issue_cert(
+ "localhost",
+ "127.0.0.1",
+@@ -44,13 +48,13 @@ def tls_certificate(tls_certificate_authority: trustme.CA) -> trustme.LeafCert:
+
+
+ @pytest.fixture
+-def tls_ca_certificate_pem_path(tls_certificate_authority: trustme.CA):
++def tls_ca_certificate_pem_path(tls_certificate_authority: "trustme.CA"):
+ with tls_certificate_authority.cert_pem.tempfile() as ca_cert_pem:
+ yield ca_cert_pem
+
+
+ @pytest.fixture
+-def tls_ca_certificate_private_key_path(tls_certificate_authority: trustme.CA):
++def tls_ca_certificate_private_key_path(tls_certificate_authority: "trustme.CA"):
+ with tls_certificate_authority.private_key_pem.tempfile() as private_key:
+ yield private_key
+
+@@ -72,25 +76,25 @@ def tls_certificate_private_key_encrypted_path(tls_certificate):
+
+
+ @pytest.fixture
+-def tls_certificate_private_key_path(tls_certificate: trustme.CA):
++def tls_certificate_private_key_path(tls_certificate: "trustme.CA"):
+ with tls_certificate.private_key_pem.tempfile() as private_key:
+ yield private_key
+
+
+ @pytest.fixture
+-def tls_certificate_key_and_chain_path(tls_certificate: trustme.LeafCert):
++def tls_certificate_key_and_chain_path(tls_certificate: "trustme.LeafCert"):
+ with tls_certificate.private_key_and_cert_chain_pem.tempfile() as cert_pem:
+ yield cert_pem
+
+
+ @pytest.fixture
+-def tls_certificate_server_cert_path(tls_certificate: trustme.LeafCert):
++def tls_certificate_server_cert_path(tls_certificate: "trustme.LeafCert"):
+ with tls_certificate.cert_chain_pems[0].tempfile() as cert_pem:
+ yield cert_pem
+
+
+ @pytest.fixture
+-def tls_ca_ssl_context(tls_certificate_authority: trustme.CA) -> ssl.SSLContext:
++def tls_ca_ssl_context(tls_certificate_authority: "trustme.CA") -> ssl.SSLContext:
+ ssl_ctx = ssl.create_default_context(ssl.Purpose.SERVER_AUTH)
+ tls_certificate_authority.configure_trust(ssl_ctx)
+ return ssl_ctx
diff --git a/dev-python/uvicorn/uvicorn-0.21.1-r1.ebuild b/dev-python/uvicorn/uvicorn-0.21.1-r1.ebuild
new file mode 100644
index 000000000000..6dda8cb71d2a
--- /dev/null
+++ b/dev-python/uvicorn/uvicorn-0.21.1-r1.ebuild
@@ -0,0 +1,96 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Lightning-fast ASGI server implementation"
+HOMEPAGE="
+ https://www.uvicorn.org/
+ https://github.com/encode/uvicorn/
+ https://pypi.org/project/uvicorn/
+"
+# as of 0.21.0, no tests in sdist
+SRC_URI="
+ https://github.com/encode/uvicorn/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc"
+IUSE="test-rust"
+
+RDEPEND="
+ >=dev-python/asgiref-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/click-7.0[${PYTHON_USEDEP}]
+ >=dev-python/h11-0.8[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/a2wsgi[${PYTHON_USEDEP}]
+ dev-python/httpx[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/python-dotenv[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ >=dev-python/websockets-10.4[${PYTHON_USEDEP}]
+ dev-python/wsproto[${PYTHON_USEDEP}]
+ test-rust? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ dev-python/watchfiles[${PYTHON_USEDEP}]
+ )
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.21.1-optional-rust.patch
+)
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # too long path for unix socket
+ tests/test_config.py::test_bind_unix_socket_works_with_reload_or_workers
+ # need unpackaged httptools
+ "tests/middleware/test_logging.py::test_trace_logging_on_http_protocol[httptools]"
+ tests/protocols/test_http.py::test_fragmentation
+ # TODO
+ tests/protocols/test_websocket.py::test_connection_lost_before_handshake_complete
+ )
+ if [[ ${EPYTHON} == pypy3 ]]; then
+ # TODO
+ EPYTEST_DESELECT+=(
+ tests/middleware/test_logging.py::test_running_log_using_fd
+ )
+ fi
+
+ local EPYTEST_IGNORE=()
+
+ if ! use test-rust ; then
+ EPYTEST_DESELECT+=(
+ # dev-python/cryptography
+ tests/test_config.py::test_ssl_config
+ tests/test_config.py::test_ssl_config_combined
+ )
+
+ EPYTEST_IGNORE+=(
+ # dev-python/watchfiles
+ tests/supervisors/test_reload.py
+ # dev-python/cryptography
+ tests/test_ssl.py
+ )
+ fi
+
+ epytest
+}
+
+pkg_postinst() {
+ optfeature "auto reload on file changes" dev-python/watchfiles
+}
diff --git a/dev-python/uvicorn/uvicorn-0.21.1.ebuild b/dev-python/uvicorn/uvicorn-0.21.1.ebuild
index b0c8cbfdb226..d63766dd83b3 100644
--- a/dev-python/uvicorn/uvicorn-0.21.1.ebuild
+++ b/dev-python/uvicorn/uvicorn-0.21.1.ebuild
@@ -22,7 +22,7 @@ SRC_URI="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="amd64 ~loong"
+KEYWORDS="amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv"
RDEPEND="
>=dev-python/asgiref-3.4.0[${PYTHON_USEDEP}]